Главная » Файлы » Выполненные работы » Разное [ Добавить материал ]

Пример простой программы на autolisp'е

[Скачать с сервера (145.9Kb) - бесплатно] [Скриншот] 13.12.2009, 02:34
Пример простой программы на автолиспе - создание простой детали без задаваемых параметров.

В архиве лежит один пример со скриншотом результата работы программы и ещё три примера без него.



Один из примров лежащих в архиве:

(defun c:ddd(/ Cyl Box0 Cyl0 Box0 Box1 Box2 Box3 Cyl1 Box1 Cyl2 Cyl3 Cyl4 Cyl5 Cylin Cylin0 klin1 klin2)

(setvar "OSMODE" 0) ; отключаем привязку
(command "_-view" "_right") ; устанавливаем вид сверху

(command "_cylinder" "0,0,30" "50" "90")  ; основной цилиндр 1
(setq Cylin0 (entlast))
(command "_cylinder" "0,0,0" "50" "30")  ; основной цилиндр 2
(setq Cylin (entlast))

(command "_cylinder" "0,0,0" "15" "200")  ; вырезаемый по центру вертикальный цилиндр
(setq Cyl1 (entlast))

(command "_subtract" Cylin0 "" Cyl1 "")


(command "_box" "-22.5,-300,100" "22.5,300,100" 20)  ; Вырезаемый параллепипед дна
(setq Box3 (entlast))


(command "_-view" "_top")


(command "_cylinder" "30,0,-50" "20" "100")  ; Вырезаемый цилиндр поперёк
(setq Cyl3 (entlast))
(command "_cylinder" "30,0,-50" "20" "100")  ; Вырезаемый цилиндр поперёк
(setq Cyl5 (entlast))


(command "_box" "56,60,20" "0,-60,-20" 150)  ; Вырезаемый параллепипед
(setq Box0 (entlast))
(command "_box" "56,60,20" "0,-60,-20" 150)  ; Вырезаемый параллепипед
(setq Box1 (entlast))
(command "_box" "56,60,20" "0,-60,-20" 150)  ; Вырезаемый параллепипед
(setq Box2 (entlast))


(command "_cylinder" "30,0,-50" "30" "100")  ; Цилиндр поперёк
(setq Cyl4 (entlast))

(command "_subtract" Cylin0 "" Box0 "")   ; Вычитание
(command "_subtract" Cylin "" Box1 "")
(command "_subtract" Cyl4 "" Box2 "")

(command "_subtract" Cylin0 "" Cyl3 "")
(command "_subtract" Cylin "" Cyl5 "")

(command "_intersect" Cyl4 Cylin "")    ; Умножение (пересечение)
(setq Cyl4 (entlast))

(command "_subtract" Cylin0 "" Box3 "")


(command "_-view" "_right") ; устанавливаем вид сверху
(command "ПСК" "z" 180);  Меняем оринтацию систмы координат
(command "_wedge" "-22.5,100,100" "-34.0470041,-100,120" 60) ;   Клин
(setq klin1 (entlast))

(command "_wedge" "22.5,100,100" "34.0470041,-100,120" 60) ;   Клин
(setq klin2 (entlast))

(command "_subtract" Cylin0 "" klin2 "")
(command "_subtract" Cylin0 "" klin1 "")

(command "_union" Cylin0 Cyl4 "")

;(command "_plan" "_w") ; устанавливаем мировую систему координат

;(command "_vscurrent" "_c") ; устанавливаем визуальный стиль "концептуальный" это для AutoCAd 2008
;(command "_shademode" "_o") ; задаём режим раскрашивания (визуальный стиль) "реалистичный" для AutoCAd 2006
;(command "_-view" "_swiso") ; устанавливаем вид юго-западная изометрия

;(setvar "osmode" 16383) ; включает все режимы объектной привязки

 )

Похожие материалы:

Добавил: COBA (13.12.2009) | Категория: Разное
Просмотров: 6431 | Загрузок: 774 | Рейтинг: 5.0/2 |
Теги: CAD, программирование, кг, autolisp
Комментарии (0)

Имя *:
Email *:
Код *: